>From 0d809638db4d6fd01b7445e7695ff545aef62360 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Fri, 19 Aug 2011 15:31:58 +0300
Subject: [carFl mem 30/65] Globalisation pass 1: stm50flw0x0x.c

This commit breaks builds until "Globalistation pass 1: fixes".

It does nothing more, just passes globals structure across function
calls.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 stm50flw0x0x.c |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/stm50flw0x0x.c b/stm50flw0x0x.c
index f3fc4d8..35e140e 100644
--- a/stm50flw0x0x.c
+++ b/stm50flw0x0x.c
@@ -36,7 +36,7 @@
  * The ST M50FLW080B and STM50FLW080B chips have to be unlocked,
  * before you can erase them or write to them.
  */
-static int unlock_block_stm50flw0x0x(struct flashchip *flash, int offset)
+static int unlock_block_stm50flw0x0x(globals *g, struct flashchip *flash, int offset)
 {
 	chipaddr wrprotect = flash->virtual_registers + 2;
 	static const uint8_t unlock_sector = 0x00;
@@ -60,8 +60,8 @@ static int unlock_block_stm50flw0x0x(struct flashchip *flash, int offset)
 		// unlock each 4k-sector
 		for (j = 0; j < 0x10000; j += 0x1000) {
 			msg_cdbg("unlocking at 0x%x\n", offset + j);
-			chip_writeb(unlock_sector, wrprotect + offset + j);
-			if (chip_readb(wrprotect + offset + j) != unlock_sector) {
+			chip_writeb(g, unlock_sector, wrprotect + offset + j);
+			if (chip_readb(g, wrprotect + offset + j) != unlock_sector) {
 				msg_cerr("Cannot unlock sector @ 0x%x\n",
 				       offset + j);
 				return -1;
@@ -69,8 +69,8 @@ static int unlock_block_stm50flw0x0x(struct flashchip *flash, int offset)
 		}
 	} else {
 		msg_cdbg("unlocking at 0x%x\n", offset);
-		chip_writeb(unlock_sector, wrprotect + offset);
-		if (chip_readb(wrprotect + offset) != unlock_sector) {
+		chip_writeb(g, unlock_sector, wrprotect + offset);
+		if (chip_readb(g, wrprotect + offset) != unlock_sector) {
 			msg_cerr("Cannot unlock sector @ 0x%x\n", offset);
 			return -1;
 		}
@@ -79,12 +79,12 @@ static int unlock_block_stm50flw0x0x(struct flashchip *flash, int offset)
 	return 0;
 }
 
-int unlock_stm50flw0x0x(struct flashchip *flash)
+int unlock_stm50flw0x0x(globals *g, struct flashchip *flash)
 {
 	int i;
 
 	for (i = 0; i < flash->total_size * 1024; i+= flash->page_size) {
-		if(unlock_block_stm50flw0x0x(flash, i)) {
+		if(unlock_block_stm50flw0x0x(g, flash, i)) {
 			msg_cerr("UNLOCK FAILED!\n");
 			return -1;
 		}
@@ -94,18 +94,18 @@ int unlock_stm50flw0x0x(struct flashchip *flash)
 }
 
 /* This function is unused. */
-int erase_sector_stm50flw0x0x(struct flashchip *flash, unsigned int sector, unsigned int sectorsize)
+int erase_sector_stm50flw0x0x(globals *g, struct flashchip *flash, unsigned int sector, unsigned int sectorsize)
 {
 	chipaddr bios = flash->virtual_memory + sector;
 
 	// clear status register
-	chip_writeb(0x50, bios);
+	chip_writeb(g, 0x50, bios);
 	// now start it
-	chip_writeb(0x32, bios);
-	chip_writeb(0xd0, bios);
-	programmer_delay(10);
+	chip_writeb(g, 0x32, bios);
+	chip_writeb(g, 0xd0, bios);
+	programmer_delay(g, 10);
 
-	wait_82802ab(flash);
+	wait_82802ab(g, flash);
 
 	/* FIXME: Check the status register for errors. */
 	return 0;
-- 
1.7.6

